/**
 * <a href="http://www.openolat.org">
 * OpenOLAT - Online Learning and Training</a><br>
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License"); <br>
 * you may not use this file except in compliance with the License.<br>
 * You may obtain a copy of the License at the
 * <a href="http://www.apache.org/licenses/LICENSE-2.0">Apache homepage</a>
 * <p>
 * Unless required by applicable law or agreed to in writing,<br>
 * software distributed under the License is distributed on an "AS IS" BASIS, <br>
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. <br>
 * See the License for the specific language governing permissions and <br>
 * limitations under the License.
 * <p>
 * Initial code contributed and copyrighted by<br>
 * BPS Bildungsportal Sachsen GmbH, http://www.bps-system.de
 * <p>
 */
package de.bps.course.nodes.den;

import org.olat.core.gui.UserRequest;
import org.olat.core.gui.components.form.flexible.FormItem;
import org.olat.core.gui.components.form.flexible.FormItemContainer;
import org.olat.core.gui.components.form.flexible.impl.FormBasicController;
import org.olat.core.gui.components.form.flexible.impl.FormEvent;
import org.olat.core.gui.components.form.flexible.impl.elements.FormLinkImpl;
import org.olat.core.gui.components.link.Link;
import org.olat.core.gui.control.Controller;
import org.olat.core.gui.control.Event;
import org.olat.core.gui.control.WindowControl;

public class DENManageParticipantsForm extends FormBasicController {
	
	public static final Event ADD_PARTICIPANTS = new Event("addParticipants");
	
	private FormLinkImpl addParticipant;

	public DENManageParticipantsForm(UserRequest ureq, WindowControl wControl) {
		super(ureq, wControl);
		initForm(this.flc, this, ureq);
	}

	@Override
	protected void doDispose() {
		//nothing
	}

	@Override
	protected void formOK(UserRequest arg0) {
		//nothing to do
	}

	@Override
	protected void initForm(FormItemContainer formLayout, Controller listener,
			UserRequest ureq) {
		addParticipant = new FormLinkImpl("addParticipantsButton", ADD_PARTICIPANTS.getCommand(), "participants.add", Link.BUTTON);
		formLayout.add(addParticipant);
	}
	
	@Override
	protected void formInnerEvent(UserRequest ureq, FormItem source, FormEvent event) {
		if(source == addParticipant) {
			fireEvent(ureq, ADD_PARTICIPANTS);
		}
	}

}
