/**
* OLAT - Online Learning and Training<br>
* http://www.olat.org
* <p>
* Licensed under the Apache License, Version 2.0 (the "License"); <br>
* you may not use this file except in compliance with the License.<br>
* You may obtain a copy of the License at
* <p>
* http://www.apache.org/licenses/LICENSE-2.0
* <p>
* Unless required by applicable law or agreed to in writing,<br>
* software distributed under the License is distributed on an "AS IS" BASIS, <br>
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. <br>
* See the License for the specific language governing permissions and <br>
* limitations under the License.
* <p>
* Copyright (c) since 2004 at Multimedia- & E-Learning Services (MELS),<br>
* University of Zurich, Switzerland.
* <hr>
* <a href="http://www.openolat.org">
* OpenOLAT - Online Learning and Training</a><br>
* This file has been modified by the OpenOLAT community. Changes are licensed
* under the Apache 2.0 license as the original file.
*/
package org.olat.core.id;

public class UserConstants {

	/**
	 * User fields keys
	 */
	public static final String EMAIL = "email";
	/** FIRSTNAME user field identifier. */
	public static final String FIRSTNAME = "firstName";
	/** LASTNAME user field identifier. */
	public static final String LASTNAME = "lastName";
	/** BIRTHDAY user field identifier. */
	public static final String BIRTHDAY = "birthDay";
	/** GENDER user field identifier. */
	public static final String GENDER = "gender";
	/** TELMOBILE user field identifier. */
	public static final String TELMOBILE = "telMobile";
	/** TELOFFICE user field identifier. */
	public static final String TELOFFICE = "telOffice";
	/** TELPRIVATE user field identifier. */
	public static final String TELPRIVATE = "telPrivate";
	/** SKYPE user field identifier. */
	public static final String SKYPE = "skype";
	/** HOMEPAGE user field identifier. */
	public static final String HOMEPAGE = "homepage";
	/** MSN user field identifier. */
	public static final String MSN = "msn";
	/** ICQ user field identifier. */
	public static final String ICQ = "icq";
	/** XING user field identifier. */
	public static final String XING = "xing";
	/** INSTITUTIONALUSERIDENTIFIER user field identifier. */
	public static final String INSTITUTIONALUSERIDENTIFIER = "institutionalUserIdentifier";
	/** INSTITUTIONALNAME user field identifier. */
	public static final String INSTITUTIONALNAME = "institutionalName";
	/** INSTITUTIONALEMAIL user field identifier. */
	public static final String INSTITUTIONALEMAIL = "institutionalEmail";
	/** STREET user field identifier. */
	public static final String STREET = "street";
	/** EXTENDEDADDRESS user field identifier. */
	public static final String EXTENDEDADDRESS = "extendedAddress";
	/** POBOX user field identifier. */
	public static final String POBOX = "poBox";
	/** ZIPCODE user field identifier. */
	public static final String ZIPCODE = "zipCode";
	/** REGION user field identifier. */
	public static final String REGION = "region";
	/** CITY user field identifier. */
	public static final String CITY = "city";
	/** COUNTRY user field identifier. */
	public static final String COUNTRY = "country";
	/** ORGUNIT user field identifier. */
	public static final String ORGUNIT = "orgUnit";
	/** STUDYSUBJECT user field identifier. */
	public static final String STUDYSUBJECT = "studySubject";

	
	/**
	 * Preferences keys
	 */
	/** INFORMSESSIONTIMEOUT user field identifier. */
	public static final String INFORMSESSIONTIMEOUT = "informSessionTimeout";
	/** LANGUAGE user field identifier. */
	public static final String LANGUAGE = "language";
	/** FONTSIZE user field identifier. */
	public static final String FONTSIZE = "fontsize";
	/** NOTIFICATION_INTERVAL user field identifier. */
	public static final String NOTIFICATION_INTERVAL = "notification_interval";
	/** PRESENCEMESSAGEPUBLIC user field identifier. */
	public static final String PRESENCEMESSAGEPUBLIC = "presenceMessagePublic";

}
